Fix ‘Failed To Fetch’ Error With Google Chrome On Ubuntu And Linux Mint

0
54

Failed to fetch error Google Chrome

Recently, while updating your Ubuntu or Linux Mint system, you might have come across an update error that says:

W:Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release Unable to find expected entry ‘main/binary-i386/Packages’ in Release file (Wrong sources.list entry or
malformed file)

E:Some index files failed to download. They have been ignored, or old ones used instead.

On Ubuntu the error looks like:

Failed to fecth error with Google Chrome in Ubuntu

While on Linux Mint, the Software Updater throws the following error:

Failed to fetch Linux Mint error

Don’t feel alone. This is a common issue faced by many after Google Chrome has ended support for 32 bit Linux system. We already know about it. This change
was supposed to impact only 32 bit Linux systems but it seems that even users running Ubuntu 14.04 or higher on a 64 bit systems are also affected by this change.

While this error is tiny, trivial, it is highly annoying. Good news is that it is really easy to get rid of this pain-in-neck error.

Fix Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release

The problem here is that in the sources list entry, by default, it is expecting the 32 bit package. This sound weird but it’s true.What we need to do here is to change the sources.list entry
for Google Chrome and explicitly instruct it to get

What we need to do here is to change the sources.list entry for Google Chrome and explicitly instruct it to get 64 bit package. How to modify the sources.list, you may ask.

Well, it’s quite easy to do that. It can be done entirely in command line itself, but keeping beginners in mind, I’ll show you how to do it with a graphical text editor.

Step 1:

Open a terminal and use the command below:

sudo gedit /etc/apt/sources.list.d/google-chrome.list

This will open Gedit text editor and you’ll see a file like this:

Chrome-Update-Error-1

Step 2:

In here, all we need to do is to replace deb http://dl.google.com/linux/chrome/deb/ stable main with the following line:

deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

It should look like this now:

Chrome-Update-Error-2

Step 3:

Save and close the file. Now run the update again using the command below:

sudo apt-get update

You won’t see the error again. Enjoy error-free updates now 🙂

Source: 2